Advisory Details

January 19th, 2019

LAquis SCADA LGX Report Memory ReAlloc Untrusted Pointer Dereference Remote Code Execution Vulnerability

ZDI-19-085
ZDI-CAN-6622

CVE ID CVE-2018-18988
CVSS SCORE 7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS LAquis SCADA
AFFECTED PRODUCTS Software
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of LAquis SCADA Software. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the processing of the Memory.ReAlloc method. The issue results from the lack of proper validation of a user-supplied value prior to dereferencing it as a pointer. An attacker can leverage this vulnerability to execute code in the context of the aq process.

ADDITIONAL DETAILS LAquis SCADA has issued an update to correct this vulnerability. More details can be found at:
https://ics-cert.us-cert.gov/advisories/ICSA-19-015-01
DISCLOSURE TIMELINE
  • 2018-09-11 - Vulnerability reported to vendor
  • 2019-01-19 - Coordinated public release of advisory
  • 2019-01-19 - Advisory Updated
CREDIT Esteban Ruiz (mr_me) of Source Incite
BACK TO ADVISORIES